<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

	<!-- Import Datatable sau jquery -->
	<!-- Import them style bootstrap cho datatable -->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
	<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <title>Register</title>
</head>
<body>
    <div class="container d-flex justify-content-center mt-5 pt-5">
        <div class="card w-50 card-danger">
            <div class="card-header">
                <h2>Register</h2>
            </div>
            <div class="card-body">
                <div class="row form-group">
                    <label for="" class="col-sm-3">Username</label>
                    <div class="col-sm-9">
                        <input id="inp-username" type="text" class="form-control" placeholder="Username">
                    </div>
                </div>
                <div class="row form-group">
                    <label for="" class="col-sm-3">Password</label>
                    <div class="col-sm-9">
                        <input id="inp-password" type="password" class="form-control" placeholder="Password">
                    </div>
                </div>
            </div>
            <div class="card-footer text-right">
                <button id="btn-register" class="btn btn-success">Register</button>
            </div>
        </div>
    </div>
</body>
<script>

    $("#btn-register").on("click", function() {
        onBtnRegisterClick();
    })



    function onBtnRegisterClick() {
        var vAccount = {
            username: "",
            password: ""
        }

        getAccount(vAccount);
        var vValidateAcc = validateAccount(vAccount);
        console.log(vAccount);
        if(vValidateAcc) {
            callApiToRegister(vAccount);
        }
    }

    function getAccount(paramAccount) {
        paramAccount.username = $("#inp-username").val();
        paramAccount.password = $("#inp-password").val();
    }

    function validateAccount(paramAccount) {
        if(paramAccount.username == "") {
            alert("Vui lòng nhập tên đăng nhập!");
            return false;
        }
        if(paramAccount.password == "") {
            alert("Vui lòng nhập mật khẩu!");
            return false;
        }
        if(paramAccount.password.length < 6) {
            alert("Mật khẩu phải chứa ít nhất 6 kí tự!");
            return false;
        }
        return true;
    }

    // Hàm gọi api để tạo mới 1 tài khoản
    function callApiToRegister(paramAccount) {
        $.ajax({
            type: "POST",
            url: "http://localhost:8080/register",
            contentType: "application/json",
            data: JSON.stringify(paramAccount),
            success: function(paramRes) {
                alert("Đăng ký thành công!");
                window.location.href = "login.html"
            },
            error: function(paramError) {
                console.log(paramError.status);
                alert("Đăng ký thất bại vui lòng thử lại") 
            }
        });
    }
</script>
</html>